Subject: Re: [PATCH] ARM: OMAP2+: Make OMAP4 finish_suspend callback CFI-safe

From: Mithil Bavishi <[email-masked]>
Date: Tue, 12 May 2026 12:53:18 -0400

> I don't think we have any formal documentation for SYM_TYPED_FUNC_START
> (it should probably be documented via kernel-doc?) but you can read the
> commit message of the change that added it for more information:
>
>  e84e008e7b02 ("cfi: Add type helper macros")

Thanks, I had a look at it and other similar commits like

c50d328 ("arm64: Add types to indirect called assembly functions")

I was not aware of SYM_TYPED_FUNC_START before hence the logical approach
was just to wrap the function. But now with this I'll send a v2 with the
ENTRY and ENDPROC changed to SYM_TYPED_FUNC_START and SYM_FUNC_END.

Best,
Mithil